# Constant Field Values

## Contents

- org.eclipse.*

## org.eclipse.*

org.eclipse.birt.chart.ui.swt.interfaces.IChartDataSheet
Modifier and Type
Constant Field
Value
`public static final int`
`DETAIL_UPDATE_COLOR`
`3`
`public static final int`
`DETAIL_UPDATE_COLOR_AND_TEXT`
`4`
`public static final int`
`EVENT_PREVIEW`
`1`
`public static final int`
`EVENT_QUERY`
`2`
org.eclipse.birt.chart.ui.swt.interfaces.IDataElementComposite
Modifier and Type
Constant Field
Value
`public static final int`
`DATA_MODIFIED`
`0`
`public static final int`
`FRACTION_CONVERTED`
`1`
org.eclipse.birt.chart.ui.swt.interfaces.IDataServiceProvider
Modifier and Type
Constant Field
Value
`public static final int`
`DATA_BINDING_REFERENCE`
`4`
`public static final int`
`HAS_CUBE`
`2`
`public static final int`
`HAS_DATA_SET`
`1`
`public static final int`
`IN_MULTI_VIEWS`
`8`
`public static final int`
`INHERIT_COLUMNS_GROUPS`
`1024`
`public static final int`
`INHERIT_COLUMNS_ONLY`
`512`
`public static final int`
`INHERIT_CUBE`
`8192`
`public static final int`
`INHERIT_DATA_SET`
`4096`
`public static final int`
`IS_CUBE_AND_CATEGORY_NOT_TOP_LEVEL`
`32768`
`public static final int`
`IS_CUBE_AND_SERIES_NOT_TOP_LEVEL`
`65536`
`public static final int`
`MULTI_CUBE_DIMENSIONS`
`64`
`public static final int`
`PART_CHART`
`32`
`public static final int`
`SHARE_CHART_QUERY`
`2048`
`public static final int`
`SHARE_CHART_QUERY_RECURSIVELY`
`16384`
`public static final int`
`SHARE_CROSSTAB_QUERY`
`256`
`public static final int`
`SHARE_QUERY`
`16`
`public static final int`
`SHARE_TABLE_QUERY`
`128`
`public static final int`
`USE_NON_HIERARCHY_CATEGORY_DATA`
`131072`
org.eclipse.birt.chart.ui.swt.interfaces.ISelectDataCustomizeUI
Modifier and Type
Constant Field
Value
`public static final int`
`GROUPING_SERIES`
`2`
`public static final int`
`ORTHOGONAL_SERIES`
`1`
org.eclipse.birt.chart.ui.swt.interfaces.IUIServiceProvider
Modifier and Type
Constant Field
Value
`public static final int`
`COMMAND_CHART_EXPRESSION`
`2`
`public static final int`
`COMMAND_CUBE_EXPRESSION_TOOLTIPS_DATAPOINTS`
`9`
`public static final int`
`COMMAND_EXPRESSION`
`1`
`public static final int`
`COMMAND_EXPRESSION_CHART_DATAPOINTS`
`2`
`public static final int`
`COMMAND_EXPRESSION_DATA_BINDINGS`
`1`
`public static final int`
`COMMAND_EXPRESSION_SCRIPT_DATAPOINTS`
`4`
`public static final int`
`COMMAND_EXPRESSION_TOOLTIPS_DATAPOINTS`
`5`
`public static final int`
`COMMAND_EXPRESSION_TRIGGERS_SIMPLE`
`3`
`public static final int`
`COMMAND_HYPERLINK`
`6`
`public static final int`
`COMMAND_HYPERLINK_DATAPOINTS`
`7`
`public static final int`
`COMMAND_HYPERLINK_DATAPOINTS_SIMPLE`
`10`
`public static final int`
`COMMAND_HYPERLINK_LEGEND`
`8`
`public static final int`
`COMMAND_RESOURCE_SELECTION_DIALOG`
`11`
`public static final int`
`CRITICAL_ERRORS`
`-5`
`public static final int`
`FATAL_ERRORS`
`-10`
`public static final int`
`MINOR_ERRORS`
`-1`
`public static final int`
`NO_ERRORS`
`0`
`public static final int`
`POSSIBLE_ERRORS`
`1`